ChangeSet 1.1832.55.6, 2004/09/04 18:56:35+02:00, greg@kroah.com

ksysfs: don't build ksysfs if CONFIG_SYSFS is not enabled.

Thanks to Kay Sievers for pointing this out.
  
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 kernel/Makefile |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/kernel/Makefile b/kernel/Makefile
--- a/kernel/Makefile	2004-10-19 09:23:25 -07:00
+++ b/kernel/Makefile	2004-10-19 09:23:25 -07:00
@@ -7,7 +7,7 @@
 	    sysctl.o capability.o ptrace.o timer.o user.o \
 	    signal.o sys.o kmod.o workqueue.o pid.o \
 	    rcupdate.o intermodule.o extable.o params.o posix-timers.o \
-	    kthread.o ksysfs.o
+	    kthread.o 
 
 obj-$(CONFIG_FUTEX) += futex.o
 obj-$(CONFIG_GENERIC_ISA_DMA) += dma.o
@@ -24,6 +24,7 @@
 obj-$(CONFIG_AUDIT) += audit.o
 obj-$(CONFIG_AUDITSYSCALL) += auditsc.o
 obj-$(CONFIG_KPROBES) += kprobes.o
+obj-$(CONFIG_SYSFS) += ksysfs.o
 
 ifneq ($(CONFIG_IA64),y)
 # According to Alan Modra <alan@linuxcare.com.au>, the -fno-omit-frame-pointer is
